From 3bd2db1aba704bb2fd1d8ebd5cec349770ee5e21 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Wed, 19 Oct 2022 20:33:28 -0500
Subject: [PATCH 09/10] WIP: show changed docs with meson

ci-os-only: html docs
---
 .cirrus.yml                    | 27 ++++++++++-----------------
 src/tools/ci/copy-changed-docs |  3 ++-
 2 files changed, 12 insertions(+), 18 deletions(-)

diff --git a/.cirrus.yml b/.cirrus.yml
index 2f2c09027d8..338c6c2be16 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -776,8 +776,7 @@ task:
   #skip: "!changesInclude('.cirrus.yml', 'doc/**', 'src/tools/ci/copy-changed-docs')"
 
   env:
-    CPUS: 1
-    BUILD_JOBS: 1
+    CPUS: 2
 
   container:
     image: $CONTAINER_REPO/linux_debian_bullseye_ci:latest
@@ -793,22 +792,16 @@ task:
     cd build-ninja
     time meson setup
     time ninja docs
+    cp -r doc ../new-docs
 
-  # Again, with autoconf
-  docs_build_script: |
-    time ./configure
-    make -s -j${BUILD_JOBS} -C doc
-    cp -r doc new-docs
-
-    # Build HTML docs from the base commit.
-    git checkout "$BASE_COMMIT" -- doc
-    #html-stamp
-    make -s -C doc clean
-    make -s -C doc html
-    cp -r doc old-docs
-
-  copy_changed_docs_script: |
-    src/tools/ci/copy-changed-docs "old-docs" "new-docs" "html_docs"
+    # Re-build docs from the base commit.
+    git checkout "$BASE_COMMIT" -- ../doc
+    ninja clean
+    time ninja doc/src/sgml/html
+    cp -r doc ../old-docs
+
+  copy_changed_docs_script:
+    - src/tools/ci/copy-changed-docs "old-docs" "new-docs" "html_docs"
 
   html_docs_artifacts:
     paths: ['html_docs/*.html', 'html_docs/*.png', 'html_docs/*.css']
diff --git a/src/tools/ci/copy-changed-docs b/src/tools/ci/copy-changed-docs
index 1c921a8df6f..598e639f695 100755
--- a/src/tools/ci/copy-changed-docs
+++ b/src/tools/ci/copy-changed-docs
@@ -10,7 +10,8 @@ outdir=$3
 skippages="bookindex.html"
 
 mkdir "$outdir"
-cp "$new"/src/sgml/html/*.css "$new"/src/sgml/html/*.svg "$outdir"
+cp doc/src/sgml/*.css "$outdir"
+cp doc/src/sgml/images/*.svg "$outdir"
 
 changed=`git diff --no-index --name-only "$old"/src/sgml/html "$new"/src/sgml/html` ||
 	[ $? -eq 1 ]
-- 
2.25.1

